<?xml version="1.0" encoding="UTF-8"?>
<ScrollView
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".setting.SettingsActivity">
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <View
            android:layout_width="match_parent"
            android:layout_height="16dp" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@android:color/white"
            android:orientation="vertical">

            <TextView
                style="@style/L2Text"
                android:layout_width="match_parent"
                android:layout_height="36dp"
                android:layout_marginStart="16dp"
                android:layout_marginLeft="16dp"
                android:gravity="start|center_vertical"
                android:text="@string/label_title_resolution"
                android:textColor="#FF333333" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/settings_video_resolution"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:layout_marginLeft="16dp"
                android:layout_marginEnd="16dp"
                android:layout_marginRight="16dp"
                android:layout_marginBottom="12dp" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="16dp" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@android:color/white"
            android:orientation="horizontal">

            <TextView
                style="@style/L2Text"
                android:layout_width="wrap_content"
                android:layout_height="36dp"
                android:layout_marginStart="16dp"
                android:layout_marginLeft="16dp"
                android:gravity="start|center_vertical"
                android:text="@string/label_title_frame_rate"
                android:textColor="#FF333333" />

            <View
                android:layout_width="0dp"
                android:layout_height="30dp"
                android:layout_weight="20" />

            <EditText
                android:id="@+id/edit_fps"
                android:layout_width="100dp"
                android:gravity="center_horizontal"
                android:layout_height="wrap_content" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:background="@android:color/white"
            android:orientation="horizontal">

            <TextView
                style="@style/L2Text"
                android:layout_width="wrap_content"
                android:layout_height="36dp"
                android:layout_marginStart="16dp"
                android:layout_marginLeft="16dp"
                android:gravity="start|center_vertical"
                android:text="@string/label_title_bit_rate"
                android:textColor="#FF333333" />

            <View
                android:layout_width="0dp"
                android:layout_height="30dp"
                android:layout_weight="20" />

            <EditText
                android:id="@+id/edit_bps"
                android:layout_width="100dp"
                android:gravity="center_horizontal"
                android:layout_height="wrap_content" />

        </LinearLayout>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:layout_marginStart="15dp"
            android:text="视频显示模式"/>
        <RadioGroup
            android:id="@+id/rg_render_mode"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="10dp">

            <RadioButton
                android:id="@+id/rb_fill"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="FILL模式，按比例铺满屏幕，可能存在裁剪"/>

            <RadioButton
                android:id="@+id/rb_fit"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="FIT模式，按比例显示所有内容，可能会存在黑框"/>

        </RadioGroup>
        <CheckBox
            android:id="@+id/checkbox_bavlog"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_alignParentTop="true"
            android:background="@null"
            android:checked="false"
            android:text="bav日志debug"
            />

        <CheckBox
            android:id="@+id/checkbox_hardDecode"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_alignParentTop="true"
            android:background="@null"
            android:checked="false"
            android:text="硬件解码优先"
            />

    </LinearLayout>
</ScrollView>
